# Cold App Launch

Luciq automatically captures your cold app launch latency; however, you can disable it using the following APIs.

{% tabs fullWidth="false" %}
{% tab title="iOS - Swift" %}

```swift
// Disable
APM.coldAppLaunchEnabled = false
// Enable
APM.coldAppLaunchEnabled = true
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
// Disable
LCQAPM.coldAppLaunchEnabled = NO;
// Enable
LCQAPM.coldAppLaunchEnabled = YES;
```

{% endtab %}

{% tab title="And - Java" %}

```java
APM.setColdAppLaunchEnabled(false);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
APM.setColdAppLaunchEnabled(false)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/application-performance-monitoring/app-launch/cold-app-launch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
